import type { Metadata } from 'next';
import localFont from 'next/font/local';

import Header from '@/components/header/header';
import './globals.css';

const font = localFont({
  src: '../public/fonts/ManropeVariable.woff2',
  variable: '--font-manrope'
});

export const metadata: Metadata = {
  title: 'Workout Buddy',
  description: 'Find and create exercise and workout plans',
  icons: 'favicon.svg'
};

export default function RootLayout({ children }: { children: React.ReactNode }) {
  return (
    <html lang='en'>
      <body className={`bg-wb-white1 ${font.className} h-screen w-screen flex flex-col`}>
        <Header />
        <main className='h-full w-full flex flex-1 items-center justify-center'>{children}</main>
      </body>
    </html>
  );
}
