'use client';

import * as ScrollArea from '@radix-ui/react-scroll-area';

export default function List({heading}: {heading?: string}) {
  return (
    <div className='h-full w-5/6 grid grid-cols-2'>
      <ScrollArea.Root className='bg-white w-[99%] h-full rounded overflow-hidden'>
        <ScrollArea.Viewport className='w-full h-full rounded'>
          <div className='py-4 px-5'>
            <div className='font-semibold'>{heading !== undefined ? heading : 'Heading'}</div>
            {[...Array(25).keys()].map((tag) => (
              <div className='text-sm mt-2.5 pt-2.5 border-t border-t-wb-white2' key={tag}>
                {tag + 1}
              </div>
            ))}
          </div>
        </ScrollArea.Viewport>
        <ScrollArea.Scrollbar
          className='flex select-none touch-none p-0.5 bg-[#00000020] transition-colors duration-200 ease-out hover:bg-[#00000030] w-2.5'
          orientation='vertical'
        >
          <ScrollArea.Thumb className="flex-1 bg-[#84828E] rounded" />
        </ScrollArea.Scrollbar>
      </ScrollArea.Root>

      <ScrollArea.Root className='bg-white w-[99%] h-full rounded overflow-hidden'>
        <ScrollArea.Viewport className='w-full h-full rounded'>
          <div className='py-4 px-5'>Content</div>
        </ScrollArea.Viewport>
        <ScrollArea.Scrollbar
          className='flex select-none touch-none p-0.5 bg-[#00000020] transition-colors duration-200 ease-out hover:bg-[#00000030] w-2.5'
          orientation='vertical'
        >
          <ScrollArea.Thumb className="flex-1 bg-[#84828E] rounded" />
        </ScrollArea.Scrollbar>
      </ScrollArea.Root>
    </div>
  );
}
